Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network239.167.78.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
Network address
239.167.78.0
Broadcast address
239.167.79.255
First usable
239.167.78.1
Last usable
239.167.79.254
Usable hosts
510 (512 less the network and broadcast addresses)
Subnet mask
255.255.254.0
Wildcard mask
0.0.1.255 (Cisco ACLs, OSPF)
Prefix length
/23
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex EFA74E00 · Integer 4020719104 to 4020719615
Reverse DNS zones
78.167.239.in-addr.arpa
79.167.239.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101111.10100111.01001110.00000000239.167.78.0
Subnet mask11111111.11111111.11111110.00000000255.255.254.0
Network11101111.10100111.01001110.00000000239.167.78.0
Broadcast11101111.10100111.01001111.11111111239.167.79.255
Split into smaller subnets/30

239.167.78.0/23 makes 128 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1239.167.78.0/30239.167.78.1 to 239.167.78.2239.167.78.32
2239.167.78.4/30239.167.78.5 to 239.167.78.6239.167.78.72
3239.167.78.8/30239.167.78.9 to 239.167.78.10239.167.78.112
4239.167.78.12/30239.167.78.13 to 239.167.78.14239.167.78.152
5239.167.78.16/30239.167.78.17 to 239.167.78.18239.167.78.192
6239.167.78.20/30239.167.78.21 to 239.167.78.22239.167.78.232
7239.167.78.24/30239.167.78.25 to 239.167.78.26239.167.78.272
8239.167.78.28/30239.167.78.29 to 239.167.78.30239.167.78.312
9239.167.78.32/30239.167.78.33 to 239.167.78.34239.167.78.352
10239.167.78.36/30239.167.78.37 to 239.167.78.38239.167.78.392
11239.167.78.40/30239.167.78.41 to 239.167.78.42239.167.78.432
12239.167.78.44/30239.167.78.45 to 239.167.78.46239.167.78.472
13239.167.78.48/30239.167.78.49 to 239.167.78.50239.167.78.512
14239.167.78.52/30239.167.78.53 to 239.167.78.54239.167.78.552
15239.167.78.56/30239.167.78.57 to 239.167.78.58239.167.78.592
16239.167.78.60/30239.167.78.61 to 239.167.78.62239.167.78.632
17239.167.78.64/30239.167.78.65 to 239.167.78.66239.167.78.672
18239.167.78.68/30239.167.78.69 to 239.167.78.70239.167.78.712
19239.167.78.72/30239.167.78.73 to 239.167.78.74239.167.78.752
20239.167.78.76/30239.167.78.77 to 239.167.78.78239.167.78.792
21239.167.78.80/30239.167.78.81 to 239.167.78.82239.167.78.832
22239.167.78.84/30239.167.78.85 to 239.167.78.86239.167.78.872
23239.167.78.88/30239.167.78.89 to 239.167.78.90239.167.78.912
24239.167.78.92/30239.167.78.93 to 239.167.78.94239.167.78.952
25239.167.78.96/30239.167.78.97 to 239.167.78.98239.167.78.992
26239.167.78.100/30239.167.78.101 to 239.167.78.102239.167.78.1032
27239.167.78.104/30239.167.78.105 to 239.167.78.106239.167.78.1072
28239.167.78.108/30239.167.78.109 to 239.167.78.110239.167.78.1112
29239.167.78.112/30239.167.78.113 to 239.167.78.114239.167.78.1152
30239.167.78.116/30239.167.78.117 to 239.167.78.118239.167.78.1192
31239.167.78.120/30239.167.78.121 to 239.167.78.122239.167.78.1232
32239.167.78.124/30239.167.78.125 to 239.167.78.126239.167.78.1272
33239.167.78.128/30239.167.78.129 to 239.167.78.130239.167.78.1312
34239.167.78.132/30239.167.78.133 to 239.167.78.134239.167.78.1352
35239.167.78.136/30239.167.78.137 to 239.167.78.138239.167.78.1392
36239.167.78.140/30239.167.78.141 to 239.167.78.142239.167.78.1432
37239.167.78.144/30239.167.78.145 to 239.167.78.146239.167.78.1472
38239.167.78.148/30239.167.78.149 to 239.167.78.150239.167.78.1512
39239.167.78.152/30239.167.78.153 to 239.167.78.154239.167.78.1552
40239.167.78.156/30239.167.78.157 to 239.167.78.158239.167.78.1592
41239.167.78.160/30239.167.78.161 to 239.167.78.162239.167.78.1632
42239.167.78.164/30239.167.78.165 to 239.167.78.166239.167.78.1672
43239.167.78.168/30239.167.78.169 to 239.167.78.170239.167.78.1712
44239.167.78.172/30239.167.78.173 to 239.167.78.174239.167.78.1752
45239.167.78.176/30239.167.78.177 to 239.167.78.178239.167.78.1792
46239.167.78.180/30239.167.78.181 to 239.167.78.182239.167.78.1832
47239.167.78.184/30239.167.78.185 to 239.167.78.186239.167.78.1872
48239.167.78.188/30239.167.78.189 to 239.167.78.190239.167.78.1912
49239.167.78.192/30239.167.78.193 to 239.167.78.194239.167.78.1952
50239.167.78.196/30239.167.78.197 to 239.167.78.198239.167.78.1992
51239.167.78.200/30239.167.78.201 to 239.167.78.202239.167.78.2032
52239.167.78.204/30239.167.78.205 to 239.167.78.206239.167.78.2072
53239.167.78.208/30239.167.78.209 to 239.167.78.210239.167.78.2112
54239.167.78.212/30239.167.78.213 to 239.167.78.214239.167.78.2152
55239.167.78.216/30239.167.78.217 to 239.167.78.218239.167.78.2192
56239.167.78.220/30239.167.78.221 to 239.167.78.222239.167.78.2232
57239.167.78.224/30239.167.78.225 to 239.167.78.226239.167.78.2272
58239.167.78.228/30239.167.78.229 to 239.167.78.230239.167.78.2312
59239.167.78.232/30239.167.78.233 to 239.167.78.234239.167.78.2352
60239.167.78.236/30239.167.78.237 to 239.167.78.238239.167.78.2392
61239.167.78.240/30239.167.78.241 to 239.167.78.242239.167.78.2432
62239.167.78.244/30239.167.78.245 to 239.167.78.246239.167.78.2472
63239.167.78.248/30239.167.78.249 to 239.167.78.250239.167.78.2512
64239.167.78.252/30239.167.78.253 to 239.167.78.254239.167.78.2552
65239.167.79.0/30239.167.79.1 to 239.167.79.2239.167.79.32
66239.167.79.4/30239.167.79.5 to 239.167.79.6239.167.79.72
67239.167.79.8/30239.167.79.9 to 239.167.79.10239.167.79.112
68239.167.79.12/30239.167.79.13 to 239.167.79.14239.167.79.152
69239.167.79.16/30239.167.79.17 to 239.167.79.18239.167.79.192
70239.167.79.20/30239.167.79.21 to 239.167.79.22239.167.79.232
71239.167.79.24/30239.167.79.25 to 239.167.79.26239.167.79.272
72239.167.79.28/30239.167.79.29 to 239.167.79.30239.167.79.312
73239.167.79.32/30239.167.79.33 to 239.167.79.34239.167.79.352
74239.167.79.36/30239.167.79.37 to 239.167.79.38239.167.79.392
75239.167.79.40/30239.167.79.41 to 239.167.79.42239.167.79.432
76239.167.79.44/30239.167.79.45 to 239.167.79.46239.167.79.472
77239.167.79.48/30239.167.79.49 to 239.167.79.50239.167.79.512
78239.167.79.52/30239.167.79.53 to 239.167.79.54239.167.79.552
79239.167.79.56/30239.167.79.57 to 239.167.79.58239.167.79.592
80239.167.79.60/30239.167.79.61 to 239.167.79.62239.167.79.632
81239.167.79.64/30239.167.79.65 to 239.167.79.66239.167.79.672
82239.167.79.68/30239.167.79.69 to 239.167.79.70239.167.79.712
83239.167.79.72/30239.167.79.73 to 239.167.79.74239.167.79.752
84239.167.79.76/30239.167.79.77 to 239.167.79.78239.167.79.792
85239.167.79.80/30239.167.79.81 to 239.167.79.82239.167.79.832
86239.167.79.84/30239.167.79.85 to 239.167.79.86239.167.79.872
87239.167.79.88/30239.167.79.89 to 239.167.79.90239.167.79.912
88239.167.79.92/30239.167.79.93 to 239.167.79.94239.167.79.952
89239.167.79.96/30239.167.79.97 to 239.167.79.98239.167.79.992
90239.167.79.100/30239.167.79.101 to 239.167.79.102239.167.79.1032
91239.167.79.104/30239.167.79.105 to 239.167.79.106239.167.79.1072
92239.167.79.108/30239.167.79.109 to 239.167.79.110239.167.79.1112
93239.167.79.112/30239.167.79.113 to 239.167.79.114239.167.79.1152
94239.167.79.116/30239.167.79.117 to 239.167.79.118239.167.79.1192
95239.167.79.120/30239.167.79.121 to 239.167.79.122239.167.79.1232
96239.167.79.124/30239.167.79.125 to 239.167.79.126239.167.79.1272
97239.167.79.128/30239.167.79.129 to 239.167.79.130239.167.79.1312
98239.167.79.132/30239.167.79.133 to 239.167.79.134239.167.79.1352
99239.167.79.136/30239.167.79.137 to 239.167.79.138239.167.79.1392
100239.167.79.140/30239.167.79.141 to 239.167.79.142239.167.79.1432
101239.167.79.144/30239.167.79.145 to 239.167.79.146239.167.79.1472
102239.167.79.148/30239.167.79.149 to 239.167.79.150239.167.79.1512
103239.167.79.152/30239.167.79.153 to 239.167.79.154239.167.79.1552
104239.167.79.156/30239.167.79.157 to 239.167.79.158239.167.79.1592
105239.167.79.160/30239.167.79.161 to 239.167.79.162239.167.79.1632
106239.167.79.164/30239.167.79.165 to 239.167.79.166239.167.79.1672
107239.167.79.168/30239.167.79.169 to 239.167.79.170239.167.79.1712
108239.167.79.172/30239.167.79.173 to 239.167.79.174239.167.79.1752
109239.167.79.176/30239.167.79.177 to 239.167.79.178239.167.79.1792
110239.167.79.180/30239.167.79.181 to 239.167.79.182239.167.79.1832
111239.167.79.184/30239.167.79.185 to 239.167.79.186239.167.79.1872
112239.167.79.188/30239.167.79.189 to 239.167.79.190239.167.79.1912
113239.167.79.192/30239.167.79.193 to 239.167.79.194239.167.79.1952
114239.167.79.196/30239.167.79.197 to 239.167.79.198239.167.79.1992
115239.167.79.200/30239.167.79.201 to 239.167.79.202239.167.79.2032
116239.167.79.204/30239.167.79.205 to 239.167.79.206239.167.79.2072
117239.167.79.208/30239.167.79.209 to 239.167.79.210239.167.79.2112
118239.167.79.212/30239.167.79.213 to 239.167.79.214239.167.79.2152
119239.167.79.216/30239.167.79.217 to 239.167.79.218239.167.79.2192
120239.167.79.220/30239.167.79.221 to 239.167.79.222239.167.79.2232
121239.167.79.224/30239.167.79.225 to 239.167.79.226239.167.79.2272
122239.167.79.228/30239.167.79.229 to 239.167.79.230239.167.79.2312
123239.167.79.232/30239.167.79.233 to 239.167.79.234239.167.79.2352
124239.167.79.236/30239.167.79.237 to 239.167.79.238239.167.79.2392
125239.167.79.240/30239.167.79.241 to 239.167.79.242239.167.79.2432
126239.167.79.244/30239.167.79.245 to 239.167.79.246239.167.79.2472
127239.167.79.248/30239.167.79.249 to 239.167.79.250239.167.79.2512
128239.167.79.252/30239.167.79.253 to 239.167.79.254239.167.79.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses